Bug 192776 - Random System Freeze
Random System Freeze
Status: CLOSED NOTABUG
Product: Fedora Legacy
Classification: Retired
Component: kernel (Show other bugs)
fc3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-22 17:35 EDT by Keith Chew
Modified: 2007-04-18 13:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-25 21:22:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Full Sysrq stack traces (80.00 KB, text/plain)
2006-05-22 17:35 EDT, Keith Chew
no flags Details

  None (edit)
Description Keith Chew 2006-05-22 17:35:51 EDT
Description of problem:

At random times, we encounter a system freeze. Stack trace is captured via 
serial console and attached below.

Version-Release number of selected component (if applicable):
FC3 with kernel 2.6.14.2

How reproducible:
It is very hard to reproduce this problem, we has to allocate 5 PCs all running 
with serial console. After a couple of days, we get a system freeze.

Actual results:
[17385817.624000] SysRq : Show Regs
[17385817.624000] 
[17385817.624000] Pid: 0, comm:              swapper
[17385817.624000] EIP: 0060:[<c010ff94>] CPU: 0
[17385817.624000] EIP is at delay_pmtmr+0x14/0x20
[17385817.624000]  EFLAGS: 00000293    Not tainted  (2.6.14.2)
[17385817.624000] EAX: f1c54d17 EBX: 0019c0be ECX: f1b07a21 EDX: 00013f29
[17385817.624000] ESI: ffffffff EDI: c0351800 EBP: c0403bfc DS: 007b ES: 007b
[17385817.624000] CR0: 8005003b CR2: 6c9e4616 CR3: 1a1e4000 CR4: 000006d0
[17385817.624000]  [<c010137d>] show_regs+0x14d/0x174
[17385817.624000]  [<c023b0e5>] sysrq_handle_showregs+0x15/0x20
[17385817.624000]  [<c023b305>] __handle_sysrq+0x85/0x130
[17385817.624000]  [<c023b3e3>] handle_sysrq+0x33/0x40
[17385817.624000]  [<c025b07f>] receive_chars+0x20f/0x2d0
[17385817.624000]  [<c025b479>] serial8250_interrupt+0x109/0x110
[17385817.624000]  [<c013e72e>] handle_IRQ_event+0x3e/0x90
[17385817.624000]  [<c013e7f6>] __do_IRQ+0x76/0xe0
[17385817.624000]  [<c01049f7>] do_IRQ+0x37/0x70
[17385817.624000]  [<c01032f6>] common_interrupt+0x1a/0x20
[17385817.624000]  [<c01de9d4>] __delay+0x14/0x20
[17385817.624000]  [<c01dea0a>] __const_udelay+0x2a/0x30
[17385817.624000]  [<c011b8c8>] panic+0xf8/0x100
[17385817.624000]  [<c0103a9a>] die+0x14a/0x160
[17385817.624000]  [<c0351be1>] do_page_fault+0x3e1/0x620
[17385817.624000]  [<c0103353>] error_code+0x4f/0x54
[17385817.624000]  [<c013e72e>] handle_IRQ_event+0x3e/0x90
[17385817.624000]  [<c013e7f6>] __do_IRQ+0x76/0xe0
[17385817.624000]  [<c01049f7>] do_IRQ+0x37/0x70
[17385817.624000]  [<c01032f6>] common_interrupt+0x1a/0x20
[17385817.624000]  [<c0351be1>] do_page_fault+0x3e1/0x620
[17385817.624000]  [<c0103353>] error_code+0x4f/0x54
[17385817.624000]  [<c013e72e>] handle_IRQ_event+0x3e/0x90
[17385817.624000]  [<c013e7f6>] __do_IRQ+0x76/0xe0
[17385817.624000]  [<c01049f7>] do_IRQ+0x37/0x70
[17385817.624000]  [<c01032f6>] common_interrupt+0x1a/0x20
[17385817.624000]  [<c0101123>] cpu_idle+0x63/0x70
[17385817.624000]  [<c010024b>] rest_init+0x2b/0x40
[17385817.624000]  [<c040487f>] start_kernel+0x18f/0x1d0
[17385817.624000]  [<c0100199>] 0xc0100199


We have mencoder running in the background recording from the bttv driver. We 
also have mplayer playing video periodically. 

What's special about this stack trace is there are no driver modules associated 
with the crash! In all our previous stack traces that we have debugged, there's 
always a driver module associated, which helped us track the problem.
Comment 1 Keith Chew 2006-05-22 17:35:51 EDT
Created attachment 129830 [details]
Full Sysrq stack traces
Comment 2 Marc Deslauriers 2006-05-25 21:22:56 EDT
kernel 2.6.14.2 is not a version Fedora Legacy supports. Please install the
kernel-2.6.12-2.3.legacy_FC3 rpm and see if the problem persists.

Note You need to log in before you can comment on or make changes to this bug.